summaryrefslogtreecommitdiffstats
path: root/dist
diff options
context:
space:
mode:
authorPavel Raiskup <praiskup@redhat.com>2014-10-03 09:25:23 +0200
committerPavel Raiskup <praiskup@redhat.com>2014-10-03 09:25:23 +0200
commit37c8dc6c89714e553bb5ce32a83910a1407d7067 (patch)
tree11a7ced3c9016384aab3a972c4015f066a91ea5a /dist
parent9656d604846e3a67e6e045fca0e2a04e96e93e93 (diff)
dist: create distribution script
This script creates tarball having self-standing testsuite which is able to run on remote host. * dist: New file. * .gitignore: New file, ignore tarballs.
Diffstat (limited to 'dist')
-rwxr-xr-xdist10
1 files changed, 10 insertions, 0 deletions
diff --git a/dist b/dist
new file mode 100755
index 0000000..ef20bd6
--- /dev/null
+++ b/dist
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+name=postgresql-setup-tests
+tarball=$name.tar.gz
+test -e .git || exit 1
+what=`ls -1 | grep -v $tarball`
+mkdir $name
+cp $what $name -R
+tar -czf $tarball $name
+rm -rf $name